TIMEDELTA(9)

NAME

timedelta - LinuxCNC HAL component that measures thread scheduling timing behavior

SYNOPSIS

loadrt timedelta [count=N|names=name1[,name2...]]

FUNCTIONS

timedelta.N

PINS

timedelta.N.jitter s32 out (default: 0)
    Worst-case scheduling error (in ns). This is the largest discrepancy between ideal thread period, and actual time between sequential runs of this component. This uses the absolute value of the error, so 'got run too early' and 'got run too late' both show up as positive jitter.

timedelta.N.current-jitter s32 out (default: 0)
    Scheduling error (in ns) of the current invocation. This is the discrepancy between ideal thread period, and actual time since the previous run of this component. This uses the absolute value of the error, so 'got run too early' and 'got run too late' both show up as positive jitter.

timedelta.N.current-error s32 out (default: 0)
    Scheduling error (in ns) of the current invocation. This is the discrepancy between ideal thread period, and actual time since the previous run of this component. This does not use the absolute value of the error, so 'got run too early' shows up as negative error and 'got run too late' shows up as positive error.

timedelta.N.min s32 out (default: 0)
    Minimum time (in ns) between sequential runs of this component.

timedelta.N.max s32 out (default: 0)
    Maximum time (in ns) between sequential runs of this component.

timedelta.N.reset bit in
    Set this pin to True, then back to False, to reset some of the statistics.

timedelta.N.out s32 out
    Time (in ns) since the previous run of this component. This should ideally be equal to the thread period.

timedelta.N.err s32 out (default: 0)
    Cumulative time error (in ns). Probably not useful.

timedelta.N.avg-err float out (default: 0)
    The average scheduling error (in ns).

AUTHOR

Jeff Epler

LICENSE

GPL